> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.teez.kz/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение информации по товару



## OpenAPI

````yaml /api-reference/swagger.json post /api/seller/v1/products/details
openapi: 3.0.1
info:
  title: Teez Seller API — Combined
  version: v1.0
servers:
  - url: https://seller-api.teez.kz
security:
  - oauth2: []
paths:
  /api/seller/v1/products/details:
    post:
      tags:
        - Products
      summary: Получение информации по товару
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExternalGetProductsDetailsApiRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalGetProductsDetailsApiResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedProblemDetails'
components:
  schemas:
    ExternalGetProductsDetailsApiRequest:
      type: object
      properties:
        productIds:
          type: array
          items:
            type: integer
            format: int64
          description: >-
            Массив, содержащий ID товаров. Ограничение – не более 30 ID в одном
            запросе.
          nullable: true
      additionalProperties: false
    ExternalGetProductsDetailsApiResponse:
      type: object
      properties:
        products:
          type: array
          items:
            $ref: '#/components/schemas/ProductDetailsDto'
          description: Список товаров с деталями
          nullable: true
      additionalProperties: false
      description: Ответ на запрос деталей товаров
    ExtendedProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errorCode:
          type: string
          description: Код ошибки
          nullable: true
        errorMessage:
          type: string
          description: Сообщение об ошибке
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ErrorDetail'
          description: Детализация ошибок валидации по полям
          nullable: true
      additionalProperties: {}
    ProductDetailsDto:
      type: object
      properties:
        productId:
          type: integer
          description: Id товара
          format: int64
        categoryId:
          type: integer
          description: Id категории
          format: int64
        brandId:
          type: integer
          description: Id бренда
          format: int64
          nullable: true
        isLocalMade:
          type: boolean
          description: Флаг "Сделано в Казахстане"
        name:
          $ref: '#/components/schemas/MultiLang'
        description:
          $ref: '#/components/schemas/MultiLang'
        vat:
          type: integer
          description: НДС (0, 12 и т.п.)
          format: int32
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/Attribute'
          description: Массив характеристик
          nullable: true
        skus:
          type: array
          items:
            $ref: '#/components/schemas/Sku'
          description: Массив SKU
          nullable: true
      additionalProperties: false
      description: Детали одного товара
    ErrorDetail:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
    MultiLang:
      type: object
      properties:
        rus:
          type: string
          description: Русский язык
          nullable: true
      additionalProperties: false
      description: Название на нескольких языках
    Attribute:
      type: object
      properties:
        id:
          type: integer
          description: Id характеристики
          format: int64
        valueIds:
          type: array
          items:
            type: integer
            format: int64
          description: Массив Id значений характеристики
          nullable: true
      additionalProperties: false
      description: Характеристика товара
    Sku:
      type: object
      properties:
        skuId:
          type: integer
          description: Id SKU
          format: int64
        attributeValueIds:
          type: array
          items:
            type: integer
            format: int64
          description: Значения характеристик SKU
          nullable: true
        price:
          type: number
          description: Цена
          format: double
        skuBarcode:
          type: string
          description: Штрихкод производителя
          nullable: true
        photos:
          type: array
          items:
            $ref: '#/components/schemas/Photo'
          description: Массив фотографий SKU
          nullable: true
      additionalProperties: false
      description: SKU товара
    Photo:
      type: object
      properties:
        url:
          type: string
          description: Ссылка на фото
          nullable: true
        order:
          type: integer
          description: Порядок показа
          format: int32
      additionalProperties: false
      description: Фото товара или SKU
  securitySchemes:
    oauth2:
      type: http
      description: Please enter valid JWT token
      scheme: Bearer
      bearerFormat: JWT

````